Bug 45694 - Support GZIP compressed logs in Access Log Sampler
Summary: Support GZIP compressed logs in Access Log Sampler
Status: RESOLVED FIXED
Alias: None
Product: JMeter
Classification: Unclassified
Component: HTTP (show other bugs)
Version: Nightly (Please specify date)
Hardware: PC Linux
: P4 enhancement (vote)
Target Milestone: ---
Assignee: JMeter issues mailing list
URL:
Keywords: PatchAvailable
Depends on:
Blocks:
 
Reported: 2008-08-27 04:55 UTC by Pascal S. de Kloe
Modified: 2009-05-10 07:29 UTC (History)
0 users



Attachments
Adds GZIP support to Access Log Sampler (3.25 KB, patch)
2008-08-27 04:55 UTC, Pascal S. de Kloe
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal S. de Kloe 2008-08-27 04:55:39 UTC
Created attachment 22486 [details]
Adds GZIP support to Access Log Sampler

The Access Log Sampler does not support log files with compression.
GZIP compression is quite common and sometimes even necessary due to extreme space requirements.
Comment 1 Sebb 2008-09-01 09:11:41 UTC
Thanks for the patch, which has been applied to SVN:

commit -m "Bug 45694 - Support GZIP compressed logs" src/protocol/http/org/apache/jmeter/protocol/http/util/accesslog/TCLogParser.java xdocs/changes.xml
    Committed revision 691010.